Loading...
Searching...
No Matches
Stanzas

## Classes

class | QXmppStartTlsPacket
| The QXmppStartTlsPacket represents packets used for initiating STARTTLS negotiation when connecting. More...
class | QXmppArchiveChatIq
| Represents an archive chat as defined by XEP-0136: Message Archiving. More...
class | QXmppArchiveListIq
| Represents an archive list as defined by XEP-0136: Message Archiving. More...
class | QXmppArchiveRemoveIq
| Represents an archive remove IQ as defined by XEP-0136: Message Archiving. More...
class | QXmppArchiveRetrieveIq
| Represents an archive retrieve IQ as defined by XEP-0136: Message Archiving. More...
class | QXmppArchivePrefIq
| Represents an archive preference IQ as defined by XEP-0136: Message Archiving. More...
class | QXmppBindIq
| The QXmppBindIq class represents an IQ used for resource binding as defined by RFC 3921. More...
class | QXmppEntityTimeIq
| QXmppEntityTimeIq represents an entity time request/response as defined in XEP-0202: Entity Time. More...
class | QXmppHttpUploadRequestIq
| Represents an HTTP File Upload IQ for requesting an upload slot as defined by XEP-0363: HTTP File Upload. More...
class | QXmppHttpUploadSlotIq
| Represents an HTTP File Upload IQ result for receiving an upload slot as defined by XEP-0363: HTTP File Upload. More...
class | QXmppIq
| The QXmppIq class is the base class for all IQs. More...
class | QXmppJingleIq
| The QXmppJingleIq class represents an IQ used for initiating media sessions as specified by XEP-0166: Jingle. More...
class | QXmppMessage
| The QXmppMessage class represents an XMPP message. More...
class | QXmppMucItem
| The QXmppMucItem class represents a chat room "item". More...
class | QXmppMucAdminIq
| The QXmppMucAdminIq class represents a chat room administration IQ as defined by XEP-0045: Multi-User Chat. More...
class | QXmppPresence
| The QXmppPresence class represents an XMPP presence stanza. More...
class | QXmppPushEnableIq
| This class represents an IQ to enable or disablepush notifications on the user server. More...
class | QXmppRegisterIq
| The QXmppRegisterIq class represents a registration IQ as defined by XEP-0077: In-Band Registration. More...
class | QXmppRosterIq
| The QXmppRosterIq class represents a roster IQ. More...
class | QXmppRpcResponseIq
| The QXmppRpcResponseIq class represents an IQ used to carry an RPC response as specified by XEP-0009: Jabber-RPC. More...
class | QXmppRpcInvokeIq
| The QXmppRpcInvokeIq class represents an IQ used to carry an RPC invocation as specified by XEP-0009: Jabber-RPC. More...
class | QXmppStanza
| The QXmppStanza class is the base class for all XMPP stanzas. More...
class | QXmppVersionIq
| The QXmppVersionIq class represents an IQ for conveying a software version as defined by XEP-0092: Software Version. More...
class | QXmppDialback
| The QXmppDialback class represents a stanza used for the Server Dialback protocol as specified by XEP-0220: Server Dialback. More...
class | QXmppDiscoveryIq
class | QXmppIbbOpenIq
class | QXmppIbbCloseIq
class | QXmppJingleMessageInitiationElement
| The QXmppJingleMessageInitiationElement class represents a Jingle Message Initiation element as specified by XEP-0353: Jingle Message Initiation. More...
class | QXmppCallInviteElement
| The QXmppCallInviteElement class represents a Call Invite element as specified by XEP-0482: Call Invites. More...
class | QXmppMamQueryIq
class | QXmppMixIq
class | QXmppMixConfigItem
| The QXmppMixConfigItem class represents a PubSub item of a MIX channel containing its configuration as defined by XEP-0369: Mediated Information eXchange (MIX). More...
class | QXmppMixInfoItem
| The QXmppMixInfoItem class represents a PubSub item of a MIX channel containing channel information as defined by XEP-0369: Mediated Information eXchange (MIX). More...
class | QXmppMixParticipantItem
class | QXmppNonSASLAuthIq
class | QXmppPingIq
class | QXmppPubSubEvent< T >
| The QXmppPubSubEvent class represents a PubSub event notification as defined by XEP-0060: Publish-Subscribe. More...
class | QXmppPubSubSubscription

## Functions

| QXmppExternalServiceDiscoveryIq::QXmppExternalServiceDiscoveryIq ()
| The QXmppExternalServiceDiscoveryIq class represents an IQ used to discover external services as defined by XEP-0215: External Service Discovery.
| QXmppMixInvitation::QXmppMixInvitation ()
| The QXmppMixInvitation class is used to invite a user to a XEP-0369: Mediated Information eXchange (MIX) channel as defined by XEP-0407: Mediated Information eXchange (MIX): Miscellaneous Capabilities.

## Detailed Description

All packets that are sent and received are serialized in Stanzas, so this includes IQ stanzas, message stanzas, presence stanzas and other stanzas.

## Function Documentation

## QXmppExternalServiceDiscoveryIq()

QXmppExternalServiceDiscoveryIq::QXmppExternalServiceDiscoveryIq | ( |  | ) |

The QXmppExternalServiceDiscoveryIq class represents an IQ used to discover external services as defined by XEP-0215: External Service Discovery.

Since
  QXmpp 1.6 Constructs an external service discovery IQ.

## QXmppMixInvitation()

QXmppMixInvitation::QXmppMixInvitation | ( |  | ) |

The QXmppMixInvitation class is used to invite a user to a XEP-0369: Mediated Information eXchange (MIX) channel as defined by XEP-0407: Mediated Information eXchange (MIX): Miscellaneous Capabilities.

Since
  QXmpp 1.4 Default constructor